Bug 495659 - system-config-samba needs to handle bad PolicyKit authentication better
system-config-samba needs to handle bad PolicyKit authentication better
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 05:43 EDT by Nils Philippsen
Modified: 2010-06-28 07:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 494896
Environment:
Last Closed: 2010-06-28 07:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2009-04-14 05:43:20 EDT
system-config-samba behaves badly if it can't acquire PolicyKit authentications. It should e.g. rather show an error dialog and let the user try again. For this, python-slip should probably be enhanced so others can profit as well.

+++ This bug was initially created as a clone of Bug #494896 +++

Description of problem:
Currently when system-config-samba is launched through an remote SSH session with X11 forwarding, we get a backtrace: 
https://bugzilla.redhat.com/show_bug.cgi?id=490050#c6

"When logged in through SSH, you don't have a ConsoleKit session and therefore
aren't allowed to even acquire the authorization needed for configuring Samba.
I'm not sure if/how you can tweak the PolicyKit policy to be able to do that
over SSH. I agree that the tool should display a dialog indicating the problem,
though -- I've put a hold on about anything PolicyKit related because upstream
is revamping the whole thing and I don't want to make efforts now and have to
do them again later." See https://bugzilla.redhat.com/show_bug.cgi?id=490050#c8

As a user, I'd like system-config-samba to prompt me to ask for elevated privileges instead of display an error message.

Version-Release number of selected component (if applicable):
system-config-samba-1.2.72-1.fc11.noarch

How reproducible:
Always

Steps to Reproduce:
1. ssh REMOTE-HOST system-config-samba
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/system-config-samba", line 49, in <module>
    mainWindow.MainWindow (debug_flag = debug_flag, use_dbus = use_dbus)
  File "/usr/share/system-config-samba/mainWindow.py", line 104, in __init__
    self.samba_data = sambaConfig.SambaConfig (self.samba_backend)
  File "/usr/lib/python2.6/site-packages/scsamba/core/sambaConfig.py", line 29,
in __init__
    self.parseFile ()
  File "/usr/lib/python2.6/site-packages/scsamba/core/sambaConfig.py", line 32,
in parseFile
    return self.parse (self.backend.readSmbConf ())
  File "/usr/lib/python2.6/site-packages/slip/dbus/polkit.py", line 48, in
enable_proxy_wrapper
    return func (*p, **k)
  File "/usr/lib/python2.6/site-packages/scsamba/dbus/proxy/sambaBackend.py",
line 48, in readSmbConf
    return self.dbus_interface.readSmbConf ()
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 140, in
__call__
    **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in
call_blocking
    message, timeout)
dbus.exceptions.DBusException:
org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.samba.configure:


Expected results:
Pretty GUI.

Additional info:
Comment 1 Bug Zapper 2009-06-09 09:47:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:40:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 07:49:46 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.